Index: code/trunk/cmake/LibraryConfig.cmake
===================================================================
--- code/trunk/cmake/LibraryConfig.cmake	(revision 11096)
+++ code/trunk/cmake/LibraryConfig.cmake	(revision 11097)
@@ -162,7 +162,5 @@
                               1.44 1.44.0 1.45 1.45.0 1.46 1.46.0 1.46.1 1.49.0
                               1.53.0)
-IF(NOT TARDIS)
-  FIND_PACKAGE(Boost 1.40 REQUIRED thread filesystem system date_time)
-ENDIF()
+FIND_PACKAGE(Boost 1.40 REQUIRED thread filesystem system date_time)
 # No auto linking, so this option is useless anyway
 MARK_AS_ADVANCED(Boost_LIB_DIAGNOSTIC_DEFINITIONS)
Index: code/trunk/cmake/LibraryConfigTardis.cmake
===================================================================
--- code/trunk/cmake/LibraryConfigTardis.cmake	(revision 11096)
+++ code/trunk/cmake/LibraryConfigTardis.cmake	(revision 11097)
@@ -40,31 +40,4 @@
 #  SET(CMAKE_CXX_COMPILER "g++-4.1.1")
 
-  # Note: When setting ENV${} variables, make sure to use quotes when
-  #       having multiple directories.
-  #SET(BOOST_INCLUDEDIR "/usr/pack/boost-1.42.0-bs/include")
-  #SET(BOOST_LIBRARYDIR "/usr/pack/boost-1.42.0-bs/i686-debian-linux4.0/lib")
-  SET(Boost_VERSION 104200)
-  SET(Boost_INCLUDE_DIRS "/usr/pack/boost-1.42.0-bs/include" CACHE PATH "")
-  SET(Boost_SYSTEM_LIBRARY_RELEASE "/usr/pack/boost-1.42.0-bs/amd64-debian-linux5.0/lib/libboost_system.so" CACHE PATH "")
-  SET(Boost_SYSTEM_LIBRARY_DEBUG "/usr/pack/boost-1.42.0-bs/amd64-debian-linux5.0/lib/libboost_system-d.so" CACHE PATH "")
-  SET(Boost_DATE_TIME_LIBRARY_RELEASE "/usr/pack/boost-1.42.0-bs/amd64-debian-linux5.0/lib/libboost_date_time.so" CACHE PATH "")
-  SET(Boost_DATE_TIME_LIBRARY_DEBUG "/usr/pack/boost-1.42.0-bs/amd64-debian-linux5.0/lib/libboost_date_time-d.so" CACHE PATH "")
-  SET(Boost_FILESYSTEM_LIBRARY_RELEASE "/usr/pack/boost-1.42.0-bs/amd64-debian-linux5.0/lib/libboost_filesystem.so" CACHE PATH "")
-  SET(Boost_FILESYSTEM_LIBRARY_DEBUG "/usr/pack/boost-1.42.0-bs/amd64-debian-linux5.0/lib/libboost_filesystem-d.so" CACHE PATH "")
-  SET(Boost_THREAD_LIBRARY_RELEASE "/usr/pack/boost-1.42.0-bs/amd64-debian-linux5.0/lib/libboost_thread-mt.so" CACHE PATH "")
-  SET(Boost_THREAD_LIBRARY_DEBUG "/usr/pack/boost-1.42.0-bs/amd64-debian-linux5.0/lib/libboost_thread-mt-d.so" CACHE PATH "")
-
-  SET(Boost_SYSTEM_LIBRARY "debug;${Boost_SYSTEM_LIBRARY_DEBUG};optimized;${Boost_SYSTEM_LIBRARY_RELEASE}" CACHE PATH "" FORCE)
-  SET(Boost_DATE_TIME_LIBRARY "debug;${Boost_DATE_TIME_LIBRARY_DEBUG};optimized;${Boost_DATE_TIME_LIBRARY_RELEASE}" CACHE PATH "" FORCE)
-  SET(Boost_FILESYSTEM_LIBRARY "debug;${Boost_FILESYSTEM_LIBRARY_DEBUG};optimized;${Boost_FILESYSTEM_LIBRARY_RELEASE}" CACHE PATH "" FORCE)
-  SET(Boost_THREAD_LIBRARY "debug;${Boost_THREAD_LIBRARY_DEBUG};optimized;${Boost_THREAD_LIBRARY_RELEASE}" CACHE PATH "" FORCE)
-
-  MARK_AS_ADVANCED( Boost_INCLUDE_DIRS )
-  MARK_AS_ADVANCED( Boost_SYSTEM_LIBRARY Boost_SYSTEM_LIBRARY_RELEASE Boost_SYSTEM_LIBRARY_DEBUG )
-  MARK_AS_ADVANCED( Boost_DATE_TIME_LIBRARY Boost_DATE_TIME_LIBRARY_RELEASE Boost_DATE_TIME_LIBRARY_DEBUG )
-  MARK_AS_ADVANCED( Boost_FILESYSTEM_LIBRARY Boost_FILESYSTEM_LIBRARY_RELEASE Boost_FILESYSTEM_LIBRARY_DEBUG )
-  MARK_AS_ADVANCED( Boost_THREAD_LIBRARY Boost_THREAD_LIBRARY_RELEASE Boost_THREAD_LIBRARY_DEBUG )
-
-
   LIST(APPEND CMAKE_INCLUDE_PATH "/usr/pack/cegui-0.6.2-sd")
   LIST(APPEND CMAKE_LIBRARY_PATH "/usr/pack/cegui-0.6.2-sd/amd64-debian-linux5.0")
Index: code/trunk/src/libraries/util/StringUtils.cc
===================================================================
--- code/trunk/src/libraries/util/StringUtils.cc	(revision 11096)
+++ code/trunk/src/libraries/util/StringUtils.cc	(revision 11097)
@@ -36,4 +36,5 @@
 #include <cctype>
 #include <ctime>
+#include <memory>
 #include "Convert.h"
 #include "Math.h"
Index: code/trunk/test/core/command/FunctorTest.cc
===================================================================
--- code/trunk/test/core/command/FunctorTest.cc	(revision 11096)
+++ code/trunk/test/core/command/FunctorTest.cc	(revision 11097)
@@ -98,10 +98,10 @@
     TEST_F(FunctorTest, ReturnsCorrectParamCount)
     {
-        EXPECT_EQ(0, createFunctor(&DestroyableClass::method0)->getParamCount());
-        EXPECT_EQ(1, createFunctor(&DestroyableClass::method1)->getParamCount());
-        EXPECT_EQ(2, createFunctor(&DestroyableClass::method2)->getParamCount());
-        EXPECT_EQ(3, createFunctor(&DestroyableClass::method3)->getParamCount());
-        EXPECT_EQ(4, createFunctor(&DestroyableClass::method4)->getParamCount());
-        EXPECT_EQ(5, createFunctor(&DestroyableClass::method5)->getParamCount());
+        EXPECT_EQ(0u, createFunctor(&DestroyableClass::method0)->getParamCount());
+        EXPECT_EQ(1u, createFunctor(&DestroyableClass::method1)->getParamCount());
+        EXPECT_EQ(2u, createFunctor(&DestroyableClass::method2)->getParamCount());
+        EXPECT_EQ(3u, createFunctor(&DestroyableClass::method3)->getParamCount());
+        EXPECT_EQ(4u, createFunctor(&DestroyableClass::method4)->getParamCount());
+        EXPECT_EQ(5u, createFunctor(&DestroyableClass::method5)->getParamCount());
     }
 
@@ -663,12 +663,12 @@
         EXPECT_EQ(8,  (*c8)(4).get<int>());
 
-        EXPECT_EQ(1, c1->getParamCount());
-        EXPECT_EQ(1, c2->getParamCount());
-        EXPECT_EQ(1, c3->getParamCount());
-        EXPECT_EQ(2, c4->getParamCount());
-        EXPECT_EQ(0, c5->getParamCount());
-        EXPECT_EQ(1, c6->getParamCount());
-        EXPECT_EQ(2, c7->getParamCount());
-        EXPECT_EQ(1, c8->getParamCount());
+        EXPECT_EQ(1u, c1->getParamCount());
+        EXPECT_EQ(1u, c2->getParamCount());
+        EXPECT_EQ(1u, c3->getParamCount());
+        EXPECT_EQ(2u, c4->getParamCount());
+        EXPECT_EQ(0u, c5->getParamCount());
+        EXPECT_EQ(1u, c6->getParamCount());
+        EXPECT_EQ(2u, c7->getParamCount());
+        EXPECT_EQ(1u, c8->getParamCount());
 
         EXPECT_EQ(typeid(int(*)(int)), c1->getFullIdentifier());
@@ -768,5 +768,5 @@
         FunctorPtr fp2 = createFunctor(&f2);
         FunctorPtr fp3 = createFunctor(&f3);
-        ASSERT_EQ(3, fp2->getParamCount());
+        ASSERT_EQ(3u, fp2->getParamCount());
         ASSERT_NE(fp1->getParamCount(), fp3->getParamCount());
         ASSERT_FALSE(fp2->hasReturnvalue());
Index: code/trunk/test/core/object/ObjectListTest.cc
===================================================================
--- code/trunk/test/core/object/ObjectListTest.cc	(revision 11096)
+++ code/trunk/test/core/object/ObjectListTest.cc	(revision 11097)
@@ -114,7 +114,7 @@
         ListableTest test3(&context2);
 
-        EXPECT_EQ(3, ObjectList<ListableTest>().size());
-        EXPECT_EQ(2, ObjectList<ListableTest>(&context1).size());
-        EXPECT_EQ(1, ObjectList<ListableTest>(&context2).size());
+        EXPECT_EQ(3u, ObjectList<ListableTest>().size());
+        EXPECT_EQ(2u, ObjectList<ListableTest>(&context1).size());
+        EXPECT_EQ(1u, ObjectList<ListableTest>(&context2).size());
     }
 
Index: code/trunk/test/core/object/StrongPtrTest.cc
===================================================================
--- code/trunk/test/core/object/StrongPtrTest.cc	(revision 11096)
+++ code/trunk/test/core/object/StrongPtrTest.cc	(revision 11097)
@@ -257,5 +257,5 @@
         vector.push_back(test);
 
-        ASSERT_EQ(3, vector.size());
+        ASSERT_EQ(3u, vector.size());
         EXPECT_EQ(test, vector[0].get());
         EXPECT_EQ(test, vector[1].get());
Index: code/trunk/test/core/object/WeakPtrTest.cc
===================================================================
--- code/trunk/test/core/object/WeakPtrTest.cc	(revision 11096)
+++ code/trunk/test/core/object/WeakPtrTest.cc	(revision 11097)
@@ -184,5 +184,5 @@
         vector.push_back(test);
 
-        ASSERT_EQ(3, vector.size());
+        ASSERT_EQ(3u, vector.size());
         EXPECT_EQ(test, vector[0].get());
         EXPECT_EQ(test, vector[1].get());