Index: code/trunk/src/orxonox/LevelInfo.cc
===================================================================
--- code/trunk/src/orxonox/LevelInfo.cc	(revision 11086)
+++ code/trunk/src/orxonox/LevelInfo.cc	(revision 11099)
@@ -115,5 +115,5 @@
     @brief
         Set the starting ship models of the level
-    @param tags
+    @param ships
         A comma-seperated string of all the allowed ship models for the shipselection.
     */
@@ -244,10 +244,4 @@
     RegisterClass(LevelInfo);
 
-    /**
-    @brief
-
-    @param creator
-        The creator of this object.
-    */
     LevelInfo::LevelInfo(Context* context) : BaseObject(context)
     {
Index: code/trunk/src/orxonox/LevelInfo.h
===================================================================
--- code/trunk/src/orxonox/LevelInfo.h	(revision 11086)
+++ code/trunk/src/orxonox/LevelInfo.h	(revision 11099)
@@ -197,5 +197,4 @@
     @author
         Damian 'Mozork' Frick
-    @edit
         Matthias Hutter
     @ingroup Orxonox
@@ -247,5 +246,5 @@
             /**
             @brief Set the starting ship models of the level
-            @param A comma-seperated string of all the allowed ship models for the shipselection.
+            @param ships A comma-seperated string of all the allowed ship models for the shipselection.
             */
             inline void setStartingShips(const std::string& ships)
Index: code/trunk/src/orxonox/chat/ChatHistory.h
===================================================================
--- code/trunk/src/orxonox/chat/ChatHistory.h	(revision 11086)
+++ code/trunk/src/orxonox/chat/ChatHistory.h	(revision 11099)
@@ -80,5 +80,5 @@
        *
        * \param message The incoming message
-       * \param senderID Identification number of the sender
+       * \param name Name of the sender
        */
       virtual void incomingChat(const std::string& message, const std::string& name) override;
Index: code/trunk/src/orxonox/chat/ChatInputHandler.h
===================================================================
--- code/trunk/src/orxonox/chat/ChatInputHandler.h	(revision 11086)
+++ code/trunk/src/orxonox/chat/ChatInputHandler.h	(revision 11099)
@@ -120,5 +120,5 @@
 
       /** \param message the message text
-       * \param senderID ID of the player who sent the message
+       * \param name Name of the player who sent the message
        *
        * Deal with incoming chat (which means in our case: Add it to the
Index: code/trunk/src/orxonox/controllers/ActionpointController.h
===================================================================
--- code/trunk/src/orxonox/controllers/ActionpointController.h	(revision 11086)
+++ code/trunk/src/orxonox/controllers/ActionpointController.h	(revision 11099)
@@ -94,4 +94,6 @@
             @brief
                 XML method, example XML usage:
+
+                @code
                 <SpaceShip position="-2000, 1500, -1000" lookat="0,0,0" team=0 name="ss2">
                   <templates>
@@ -110,4 +112,5 @@
                   </controller>
                 </SpaceShip>
+                @endcode
                 
                 Full description:
@@ -116,5 +119,5 @@
                 If any WorldEntity that is not Actionpoint or its child being sent to actionpoints through XML,
                 action would be assumed to be Action::FLY and target position to be position of the entity. Also, if not Actionpoint
-                is passed, it is assumed to be in a loop. How it works is: in <actionpoints> first all Actionpoints between 
+                is passed, it is assumed to be in a loop. How it works is: in \<actionpoints\> first all Actionpoints between 
                 first Actionpoint with loopStart=true and first following Actionpoint with loopEnd=true are included in a single loop.
                 If they are adjacent (in the input array) with WorldEntity, then WorldEntity is also in a loop.
@@ -122,4 +125,6 @@
                
                 Loop example:
+
+                @code
                 <SpaceShip position="-1500, 1500, -1000" lookat="0,0,0" team=0 name="ss1">
                   <templates>
@@ -137,6 +142,9 @@
                   </controller>
                 </SpaceShip>
+                @endcode
                
                 other loop example:
+
+                @code
                 <SpaceShip position="-1500, -1500, -1500" lookat="0,0,0" team=0 name="ss1">
                   <templates>
@@ -153,8 +161,9 @@
                     </DivisionController>
                   </controller>
-                </SpaceShip> 
+                </SpaceShip>
+                @endcode
 
             @note
-                Don't use several loops, and don't use WorldEntities as input to <actionpoints> as I didn't test it well, but you
+                Don't use several loops, and don't use WorldEntities as input to \<actionpoints\> as I didn't test it well, but you
                 can try if feeling lucky.  
             */
Index: code/trunk/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/trunk/src/orxonox/controllers/ArtificialController.cc	(revision 11086)
+++ code/trunk/src/orxonox/controllers/ArtificialController.cc	(revision 11099)
@@ -255,4 +255,5 @@
         @brief Adds first waypoint of type name to the waypoint stack, which is within the searchDistance
         @param name object-name of a point of interest (e.g. "PickupSpawner", "ForceField")
+        @param searchDistance The maximum distance to search
     */
     void ArtificialController::updatePointsOfInterest(std::string name, float searchDistance)
Index: code/trunk/src/orxonox/controllers/MasterController.h
===================================================================
--- code/trunk/src/orxonox/controllers/MasterController.h	(revision 11086)
+++ code/trunk/src/orxonox/controllers/MasterController.h	(revision 11099)
@@ -44,4 +44,6 @@
       If no MasterController is initialized, none of ActionpointControllers will work.
       Example:
+
+      @code
       <Pawn position = "100000, 100000, 100000">
         <controller>
@@ -50,4 +52,5 @@
         </controller>
       </Pawn>
+      @endcode
     */
     class _OrxonoxExport MasterController : public Controller, public Tickable
Index: code/trunk/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- code/trunk/src/orxonox/gametypes/Dynamicmatch.cc	(revision 11086)
+++ code/trunk/src/orxonox/gametypes/Dynamicmatch.cc	(revision 11099)
@@ -26,23 +26,5 @@
  *
  */
-//TODO:
-//pig punkte vergeben pro Zeit!
-//killerfarbe schwarz; evtl. eigenes Raumfahrzeug;
-//Low; Codeoptimierung und Dokumentation
-
-/**
-@brief
-    Short Gaming Manual:
-    There are three different parties a player can belong to: victim, chaser or killer
-    Every player starts as chaser. As long as there are not enough victims and killers, you can change your and other player's parties by shooting them.
-    In order to win you have to earn as much points as possible:
-    - as victim by escaping the chasers
-    - as chaser by shooting the victim
-    - as killer by killing the chasers
-
-
-    What you shouldn't do is shooting at players of your own party. By doing so your score will decrease.
-    P.S: If you don't want to be a victim: Get rid of your part by shooting a chaser.
-*/
+
 #include "Dynamicmatch.h"
 
Index: code/trunk/src/orxonox/gametypes/Dynamicmatch.h
===================================================================
--- code/trunk/src/orxonox/gametypes/Dynamicmatch.h	(revision 11086)
+++ code/trunk/src/orxonox/gametypes/Dynamicmatch.h	(revision 11099)
@@ -42,4 +42,23 @@
 namespace orxonox
 {
+    /**
+    @brief
+        Short Gaming Manual:
+        There are three different parties a player can belong to: victim, chaser or killer
+        Every player starts as chaser. As long as there are not enough victims and killers, you can change your and other player's parties by shooting them.
+        In order to win you have to earn as much points as possible:
+        - as victim by escaping the chasers
+        - as chaser by shooting the victim
+        - as killer by killing the chasers
+
+
+        What you shouldn't do is shooting at players of your own party. By doing so your score will decrease.
+        P.S: If you don't want to be a victim: Get rid of your part by shooting a chaser.
+
+        @todo:
+        pig punkte vergeben pro Zeit!
+        killerfarbe schwarz; evtl. eigenes Raumfahrzeug;
+        Low; Codeoptimierung und Dokumentation
+    */
     class _OrxonoxExport Dynamicmatch : public Gametype
     {
Index: code/trunk/src/orxonox/infos/GametypeInfo.cc
===================================================================
--- code/trunk/src/orxonox/infos/GametypeInfo.cc	(revision 11086)
+++ code/trunk/src/orxonox/infos/GametypeInfo.cc	(revision 11099)
@@ -378,5 +378,5 @@
     @param player
         The player that has changed its spawned status.
-    @param ready
+    @param spawned
         The new spawned status.
     */
Index: code/trunk/src/orxonox/interfaces/NotificationListener.cc
===================================================================
--- code/trunk/src/orxonox/interfaces/NotificationListener.cc	(revision 11086)
+++ code/trunk/src/orxonox/interfaces/NotificationListener.cc	(revision 11099)
@@ -102,5 +102,5 @@
     @param isCommand
         Whether the message is a command or a notification.
-    @param messageType
+    @param type
         The type of the notification.
     */
Index: code/trunk/src/orxonox/interfaces/PlayerTrigger.h
===================================================================
--- code/trunk/src/orxonox/interfaces/PlayerTrigger.h	(revision 11086)
+++ code/trunk/src/orxonox/interfaces/PlayerTrigger.h	(revision 11099)
@@ -82,5 +82,5 @@
         /**
         @brief Set the player that triggered the PlayerTrigger. This is normally done by classes inheriting vom PlayerTrigger.
-        @param player A pointer to the Pawn that triggered the PlayerTrigger.
+        @param pawn A pointer to the Pawn that triggered the PlayerTrigger.
         */
         void setTriggeringPawn(Pawn* pawn);
Index: code/trunk/src/orxonox/items/Engine.h
===================================================================
--- code/trunk/src/orxonox/items/Engine.h	(revision 11086)
+++ code/trunk/src/orxonox/items/Engine.h	(revision 11099)
@@ -45,5 +45,5 @@
         There are many parameters that can be specified:
         - The <b>relativePosition</b>, specifies the position relative to the center of the SpaceShip the Engine is mounted on.
-        - The <b>maximal speed</b>, there are four maximal speeds that can be specified: The <b>speedfront</b>, the maximal forward speed. The <b>speedback>, the maximal backward speed. The <b>speedleftright</b>, the maximal speed in y-direction of the SpaceShip coordinate frame. The <b>speedupdown</b>, the maximal speed in z-direction of the SpaceShip coordinate frame. All maximal speeds (naturally) have to be non-negative.
+        - The <b>maximal speed</b>, there are four maximal speeds that can be specified: The <b>speedfront</b>, the maximal forward speed. The <b>speedback</b>, the maximal backward speed. The <b>speedleftright</b>, the maximal speed in y-direction of the SpaceShip coordinate frame. The <b>speedupdown</b>, the maximal speed in z-direction of the SpaceShip coordinate frame. All maximal speeds (naturally) have to be non-negative.
         - The <b>acceleration</b>, there are five types of acceleration that can be specified: The <b>accelerationfront</b>, the forward acceleration. The <b>accelerationbrake</b>, the braking acceleration. The <b>accelerationback</b>, the backward acceleration. The <b>accelerationleftright</b>, the acceleration in y-direction. The <b>accelerationupdown</b>, the acceleration in z-direction. All accelerations have to be non-negative.
         - The <b>boostfactor</b>, specifies the factor by which boosting increases the speed. This has to be non-negative, as well. Beware that maximal speeds can be overcome through boosting.
@@ -213,5 +213,5 @@
             /**
             @brief Add to the additional forward speed factor.
-            @param factor The speed that is added to the additional forward speed. Must be non-negative.
+            @param speed The speed that is added to the additional forward speed. Must be non-negative.
             */
             inline void addSpeedAdd(float speed)
Index: code/trunk/src/orxonox/items/PartDestructionEvent.cc
===================================================================
--- code/trunk/src/orxonox/items/PartDestructionEvent.cc	(revision 11086)
+++ code/trunk/src/orxonox/items/PartDestructionEvent.cc	(revision 11099)
@@ -164,5 +164,5 @@
     @brief
         Set type of the target
-    @param param
+    @param type
         The desired target-type as string. Valid target-types: ship engine weapon
     */
@@ -197,5 +197,5 @@
         Set the operation to be applied.
     @param param
-        The desired parameter as string. Valid parameters: c.f. @ref orxnox::PartDestructionEvent::TargetParam
+        The desired parameter as string. Valid parameters: c.f. @ref TargetParam
     */
     void PartDestructionEvent::setTargetParam(std::string param)
Index: code/trunk/src/orxonox/items/PartDestructionEvent.h
===================================================================
--- code/trunk/src/orxonox/items/PartDestructionEvent.h	(revision 11086)
+++ code/trunk/src/orxonox/items/PartDestructionEvent.h	(revision 11099)
@@ -81,5 +81,5 @@
                 @brief
                     List of all allowed parameters.
-                */
+            */
             enum class TargetParam
             {
Index: code/trunk/src/orxonox/items/ShipPart.cc
===================================================================
--- code/trunk/src/orxonox/items/ShipPart.cc	(revision 11086)
+++ code/trunk/src/orxonox/items/ShipPart.cc	(revision 11099)
@@ -116,5 +116,5 @@
     @brief
         Add a StaticEntity to the ShipPart.
-    @param engine
+    @param entity
         A pointer to the StaticEntity to be added.
     */
@@ -158,5 +158,5 @@
     @brief
         Add a PartDestructionEvent to the ShipPart.
-    @param engine
+    @param event
         A pointer to the PartDestructionEvent to be added.
     */
Index: code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 11086)
+++ code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 11099)
@@ -126,6 +126,5 @@
         This has to be called before usage, otherwise strange behaviour is
         guaranteed! (there should be no segfaults however).
-    @copydoc
-        BaseObject::XMLPort()
+    @copydoc BaseObject::XMLPort()
     */
     void OrxonoxOverlay::XMLPort(Element& xmlelement, XMLPort::Mode mode)
Index: code/trunk/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/trunk/src/orxonox/overlays/OverlayGroup.cc	(revision 11086)
+++ code/trunk/src/orxonox/overlays/OverlayGroup.cc	(revision 11099)
@@ -85,6 +85,5 @@
     @brief
         Loads the group and all its children OrxonoxOverlays.
-    @copydoc
-        BaseObject::XMLPort()
+    @copydoc BaseObject::XMLPort()
     */
     void OverlayGroup::XMLPort(Element& xmlelement, XMLPort::Mode mode)
Index: code/trunk/src/orxonox/weaponsystem/WeaponSlot.h
===================================================================
--- code/trunk/src/orxonox/weaponsystem/WeaponSlot.h	(revision 11086)
+++ code/trunk/src/orxonox/weaponsystem/WeaponSlot.h	(revision 11099)
@@ -48,4 +48,5 @@
           <WeaponSlot position="    0,   0,0" />
         </weaponslots>
+        @endcode
 
         A WeaponSlot can be attached to a @ref orxonox::Pawn because WeaponSlot inherits from @ref orxonox::StaticEntity.
Index: code/trunk/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- code/trunk/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11086)
+++ code/trunk/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11099)
@@ -285,5 +285,5 @@
     /**
     @brief
-        Fires the @ref Orxonox::WeaponSet with the specified firemode.
+        Fires the @ref orxonox::WeaponSet with the specified firemode.
     */
     void WeaponSystem::fire(unsigned int firemode)
Index: code/trunk/src/orxonox/worldentities/Actionpoint.h
===================================================================
--- code/trunk/src/orxonox/worldentities/Actionpoint.h	(revision 11086)
+++ code/trunk/src/orxonox/worldentities/Actionpoint.h	(revision 11099)
@@ -49,4 +49,5 @@
         Example XML code:
 
+        @code
         <SpaceShip position="-2000, 1500, -1000" lookat="0,0,0" team=0 name="thisShipName">
           <templates>
@@ -65,7 +66,9 @@
           </controller>
         </SpaceShip>
-        
+        @endcode
+
         Example with loops:
 
+        @code
         <SpaceShip position="-1500, 1500, -1000" lookat="0,0,0" team=0 name="thisShipName">
           <templates>
@@ -83,4 +86,5 @@
           </controller>
         </SpaceShip>
+        @endcode
         
         One can also use other Worldentities instead of Actionpoints just like Waypoints, but those points
Index: code/trunk/src/orxonox/worldentities/WorldEntity.h
===================================================================
--- code/trunk/src/orxonox/worldentities/WorldEntity.h	(revision 11086)
+++ code/trunk/src/orxonox/worldentities/WorldEntity.h	(revision 11099)
@@ -400,4 +400,6 @@
             @param otherObject
                 The object this one has collided into.
+            @param ownCollisionShape
+                The collision shape of the other object
             @param contactPoint
                 Contact point provided by Bullet. Holds more information and can me modified. See return value.
Index: code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 11086)
+++ code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 11099)
@@ -207,5 +207,5 @@
     @brief
         Add a ShipPart to the SpaceShip.
-    @param engine
+    @param part
         A pointer to the ShipPart to be added.
     */
Index: code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.h
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.h	(revision 11086)
+++ code/trunk/src/orxonox/worldentities/pawns/ModularSpaceShip.h	(revision 11099)
@@ -58,5 +58,5 @@
 
         As mentioned @ref orxonox::Engine Engines can be mounted on the ModularSpaceShip.
-        In order to assign attached entities to a ShipPart, a ShipPart with the same name as the corresponding entity needs to be created in the <parts> tag.
+        In order to assign attached entities to a ShipPart, a ShipPart with the same name as the corresponding entity needs to be created in the \<parts\> tag.
         Here is a (primitive) example of a ModularSpaceShip defined in XML:
         @code
Index: code/trunk/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11086)
+++ code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11099)
@@ -425,5 +425,5 @@
     /**
     @brief
-        Check whether the Pawn has a @ref Orxonox::WeaponSystem and fire it with the specified firemode if it has one.
+        Check whether the Pawn has a @ref orxonox::WeaponSystem and fire it with the specified firemode if it has one.
     */
 