Index: code/trunk/data/levels/FPSTest.oxw
===================================================================
--- code/trunk/data/levels/FPSTest.oxw	(revision 11094)
+++ code/trunk/data/levels/FPSTest.oxw	(revision 11104)
@@ -9,4 +9,5 @@
 <?lua
   include("HUDTemplates3.oxo")
+  include("HUDTemplatesFPS.oxo")
   include("stats.oxo")
   include("templates/spaceshipAssff.oxt")
Index: code/trunk/data/levels/FPS_Level_HS14.oxw
===================================================================
--- code/trunk/data/levels/FPS_Level_HS14.oxw	(revision 11094)
+++ code/trunk/data/levels/FPS_Level_HS14.oxw	(revision 11104)
@@ -11,4 +11,5 @@
   include("stats.oxo")
   include("HUDTemplates3.oxo")
+  include("HUDTemplatesFPS.oxo")
   include("templates/lodInformation.oxt")
   include("templates/pickupRepresentationTemplates.oxt")
@@ -22,5 +23,5 @@
   include("templates/spaceshipTurret.oxt")
   include("templates/spaceshipCollateralDamage.oxt")
-  include("templates/FPS_HS14.oxt")
+  include("templates/FPS.oxt")
   include("templates/HeavyCruiser.oxt")
   include("templates/spacestation_elements.oxt")
@@ -139,5 +140,5 @@
 	<!-- FPS Player as destination of the dock -->
 	<!-- My position after docking -->
-	    <FpsPlayer template = "fps_HS14" radarname = "First Person Player" position = "1330,-20016,0" >
+	    <FpsPlayer template = "fps" radarname = "First Person Player" position = "1330,-20016,0" >
 	      <attached>
 	        <DistanceTriggerBeacon name="bcnDestroyer" />
@@ -313,5 +314,5 @@
 		
  </attached>
-  </StaticEntity>
+</StaticEntity>
 	
    
Index: code/trunk/data/levels/InsideSpaceStation.oxw
===================================================================
--- code/trunk/data/levels/InsideSpaceStation.oxw	(revision 11094)
+++ code/trunk/data/levels/InsideSpaceStation.oxw	(revision 11104)
@@ -9,4 +9,5 @@
 <?lua
   include("HUDTemplates3.oxo")
+  include("HUDTemplatesFPS.oxo")
   include("stats.oxo")
   include("templates/spaceshipAssff.oxt")
Index: code/trunk/data/levels/dockingToASpaceStation.oxw
===================================================================
--- code/trunk/data/levels/dockingToASpaceStation.oxw	(revision 11094)
+++ code/trunk/data/levels/dockingToASpaceStation.oxw	(revision 11104)
@@ -10,4 +10,5 @@
   include("stats.oxo")
   include("HUDTemplates3.oxo")
+  include("HUDTemplatesFPS.oxo")
   include("templates/lodInformation.oxt")
   include("templates/pickupRepresentationTemplates.oxt")
Index: code/trunk/data/levels/expeditionSector.oxw
===================================================================
--- code/trunk/data/levels/expeditionSector.oxw	(revision 11094)
+++ code/trunk/data/levels/expeditionSector.oxw	(revision 11104)
@@ -9,4 +9,5 @@
     include("stats.oxo")
     include("HUDTemplates3.oxo")
+    include("HUDTemplatesFPS.oxo")
     include("templates/lodInformation.oxt")
 
Index: code/trunk/data/levels/includes/weaponSettingsFPS_HS14.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsFPS_HS14.oxi	(revision 11094)
+++ 	(revision )
@@ -1,55 +1,0 @@
-    <weaponslots>
-      <WeaponSlot position="0,0,0" yaw=0 pitch=0 roll=0 />
-<!--
-      <WeaponSlot position="-0.5,0.8,2.5" yaw=0 pitch=0 roll=0 />
-      <WeaponSlot position="15,-1.5,-25" yaw=0 pitch=0 roll=0 />
-      <WeaponSlot position="0,0,-45" yaw=0 pitch=0 roll=0 />
--->
-    </weaponslots>
-    <weaponsets>
-      <WeaponSet firemode=0 />
-      <WeaponSet firemode=1 />
-    </weaponsets>
-    <weaponpacks>
-      <WeaponPack firemode=0>
-        <links>
-          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
-          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
-          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
-        </links>
-        <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0.0 damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.7, -0.3, -3" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20/>
-        </Weapon>
-        <LaserGun
-            position="0,0,0"
-            munitionType="LaserGunMunition"
-            bulletLoadingTime="0.2"
-            magazineLoadingTime="5.0"
-            speed="1000"
-            unlimitedMunition=true
-        />
-        <!--LaserGun
-            position="0,0,0"
-            munitionType="LaserGunMunition"
-            bulletLoadingTime="0.2"
-            magazineLoadingTime="5.0"
-            speed="1250"
-            unlimitedMunition=true
-        />
-      </WeaponPack>
-      <WeaponPack firemode=1>
-        <Fusion
-            position="0,0,0"
-            munitionType="FusionMunition"
-            bulletLoadingTime="0.3"
-            magazineLoadingTime="3"
-            speed="600"
-            unlimitedMunition=true
-        /-->
-      </WeaponPack>
-    </weaponpacks>
-    <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=7.5/>
-      <LightningMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=8 />
-    </munition>
Index: code/trunk/data/levels/levelTry.oxw
===================================================================
--- code/trunk/data/levels/levelTry.oxw	(revision 11094)
+++ code/trunk/data/levels/levelTry.oxw	(revision 11104)
@@ -10,4 +10,5 @@
   include("stats.oxo")
   include("HUDTemplates3.oxo")
+  include("HUDTemplatesFPS.oxo")
   include("templates/lodInformation.oxt")
   include("templates/pickupRepresentationTemplates.oxt")
Index: code/trunk/data/levels/presentationFS102.oxw
===================================================================
--- code/trunk/data/levels/presentationFS102.oxw	(revision 11094)
+++ code/trunk/data/levels/presentationFS102.oxw	(revision 11104)
@@ -8,4 +8,5 @@
 <?lua
   include("HUDTemplates3.oxo")
+  include("HUDTemplatesFPS.oxo")
   include("stats.oxo")
   include("templates/spaceshipAssff.oxt")
Index: code/trunk/data/levels/presentationFS10Ed.oxw
===================================================================
--- code/trunk/data/levels/presentationFS10Ed.oxw	(revision 11094)
+++ code/trunk/data/levels/presentationFS10Ed.oxw	(revision 11104)
@@ -8,4 +8,5 @@
 <?lua
   include("HUDTemplates3.oxo")
+  include("HUDTemplatesFPS.oxo")
   include("stats.oxo")
   include("templates/spaceshipAssff.oxt")
Index: code/trunk/data/levels/presentationHS13.oxw
===================================================================
--- code/trunk/data/levels/presentationHS13.oxw	(revision 11094)
+++ code/trunk/data/levels/presentationHS13.oxw	(revision 11104)
@@ -10,4 +10,5 @@
   include("stats.oxo")
   include("HUDTemplates3.oxo")
+  include("HUDTemplatesFPS.oxo")
   include("templates/lodInformation.oxt")
   include("templates/pickupRepresentationTemplates.oxt")
Index: code/trunk/data/levels/shuttleAttack.oxw
===================================================================
--- code/trunk/data/levels/shuttleAttack.oxw	(revision 11094)
+++ code/trunk/data/levels/shuttleAttack.oxw	(revision 11104)
@@ -10,4 +10,5 @@
     include("stats.oxo")
     include("HUDTemplates3.oxo")
+    include("HUDTemplatesFPS.oxo")
     include("templates/lodInformation.oxt")
 
Index: code/trunk/data/levels/shuttleRetaliation.oxw
===================================================================
--- code/trunk/data/levels/shuttleRetaliation.oxw	(revision 11094)
+++ code/trunk/data/levels/shuttleRetaliation.oxw	(revision 11104)
@@ -9,4 +9,5 @@
     include("stats.oxo")
     include("HUDTemplates3.oxo")
+    include("HUDTemplatesFPS.oxo")
     include("templates/lodInformation.oxt")
 
Index: code/trunk/data/levels/templates/FPS.oxt
===================================================================
--- code/trunk/data/levels/templates/FPS.oxt	(revision 11094)
+++ code/trunk/data/levels/templates/FPS.oxt	(revision 11104)
@@ -1,4 +1,5 @@
 <Template name=fps>
   <FpsPlayer
+   hudtemplate            = fpshud
    spawnparticlesource    = "Orxonox/fairytwirl"
    spawnparticleduration  = 3
@@ -8,4 +9,11 @@
    maxhealth         = 200
    initialhealth     = 100
+
+   shieldhealth        = 30
+   initialshieldhealth = 30
+   maxshieldhealth     = 30
+   shieldabsorption    = 0.9
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 0;
Index: code/trunk/data/levels/templates/FPS_HS14.oxt
===================================================================
--- code/trunk/data/levels/templates/FPS_HS14.oxt	(revision 11094)
+++ 	(revision )
@@ -1,59 +1,0 @@
-<Template name=fps_HS14>
-  <FpsPlayer
-   spawnparticlesource    = "Orxonox/fairytwirl"
-   spawnparticleduration  = 3
-   explosionchunks        = 6
-
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   primaryThrust     = 0;
-   auxilaryThrust    = 0;
-   rotationThrust    = 0;
-
-   collisionType     = "dynamic"
-   mass              = 100
-   linearDamping     = 0.7
-   angularDamping    = 0.9999999
-   friction          = 0.01
-
-   weapon            = "hs-w01.mesh"
-  >
-    <collisionShapes>
-   <!--Normal values: position="0,-45,0" halfExtents="15,50,15" -->
-      <BoxCollisionShape position="0,-45,0" halfExtents="15,50,15" /> 
-    </collisionShapes>
-
-    <camerapositions>
-      <CameraPosition position="-1,1,2.2" drag=false mouselook=true />
-    </camerapositions>
-    <explosion >
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
-    </explosion>
-
-    <?lua
-        include("../includes/weaponSettingsFPS_HS14.oxi")
-    ?>
-
-  </FpsPlayer>
-</Template>
-<!--
-<Template name=fpscamera defaults=0>
-  <FpsPlayer>
-    <camerapositions>
-      <CameraPosition position="0,0,20" drag=false mouselook=true />
-
-      <!--
-      CameraPosition position="0,150,-25" pitch=-90 drag=true />
-      <CameraPosition position="0,0,-40" yaw=180 drag=true />
-      <CameraPosition position="0,3,-14" yaw=0 />
-      <CameraPosition position="-50,5,-8" yaw=-90 drag=true />
-      <CameraPosition position="50,5,-8" yaw=90 drag=true /
-
-    </camerapositions>
-  </FpsPlayer>
-</Template>
--->
Index: code/trunk/data/overlays/HUDTemplatesFPS.oxo
===================================================================
--- code/trunk/data/overlays/HUDTemplatesFPS.oxo	(revision 11094)
+++ code/trunk/data/overlays/HUDTemplatesFPS.oxo	(revision 11104)
@@ -1,7 +1,2 @@
-<Template name="spectatorhud">
-  <OverlayGroup name = "spectatorhud" scale = "1, 1">
-  </OverlayGroup>
-</Template>
-
 <Template name="fpshud">
   <OverlayGroup name = "fpshud" scale = "1, 1">
@@ -11,5 +6,5 @@
      name              = "HealthBar1"
      background        = "Orxonox/HealthBarBackground"
-     size              = "0.35, 0.0875"
+     size              = "0.40, 0.08"
      position          = "0.0 , 0.95 "
      pickpoint         = "0, 1"
@@ -17,10 +12,10 @@
      textfont          = "VeraMono"
      textusebarcolour  = true
-     textsize          = 0.039
-     textoffset        = "0.315, 0.05"
+     textscale          = 0.4
+     textoffset        = "0.325, -0.825"
      textpickpoint     = "0, 0"
      textalign         = "right"
-     correctaspect     = false
-     textcorrectaspect = false
+     correctaspect     = true
+     iconmaterial      = "Orxonox/BarIconHealth"
     >
       <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
@@ -29,17 +24,53 @@
     </HUDHealthBar>
 
- <!--   <HUDSpeedBar
-     name          = "SpeedBar1"
+    <HUDShieldBar
+     name          = "ShieldBar1"
      background    = "Orxonox/BarBackground"
-     size          = "0.35, 0.05"
+     size          = "0.40, 0.04"
      position      = "0.0 , 1.0 "
      pickpoint     = "0, 1"
-     correctaspect = false
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconShield"
     >
-      <BarColour position = 0.0 colour = "0.7,0.5,0.2" />
-      <BarColour position = 0.5 colour = "0.2,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.7,0.2,0.2" />
-    </HUDSpeedBar>
--->
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDShieldBar>
+
+    <HUDEnemyHealthBar
+     name              = "EnemyHealthBar"
+     background        = "Orxonox/HealthBarBackground"
+     size              = "0.4, 0.08"
+     position          = "1 ,0"
+     pickpoint         = "1, 0"
+     bartexture        = "healthbar_bar.png"
+     textfont          = "VeraMono"
+     textusebarcolour  = true
+     textscale         = 0.4
+     textoffset        = "-0.675, 0.175"
+     textpickpoint     = "0, 0"
+     textalign         = "right"
+     correctaspect     = true
+     iconmaterial      = "Orxonox/BarIconHealth"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDEnemyHealthBar>
+
+    <HUDEnemyShieldBar
+     name          = "EnemyShieldBar1"
+     background    = "Orxonox/BarBackground"
+     size          = "0.40, 0.04"
+     position      = "1.0 , 0.1 "
+     pickpoint     = "1, 0"
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconShield"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDEnemyShieldBar> 
+
     <HUDNavigation
      name          = "Navigation"
@@ -64,4 +95,13 @@
     />
 
+    <HUDWeaponSystem
+     name                   = "WeaponSystem"
+     correctaspect          = true
+     position               = "0.01, 0.01"
+     pickpoint              = "0, 0"
+     visible                = "true"
+     weaponModeHUDSize      = "0.09, 0.03"
+    />
+
     <HUDTimer
      name     = "Timer"
@@ -73,10 +113,16 @@
     />
 
- <!--   <GUIOverlay
+    <GUIOverlay
       name = "QuestGUI"
       guiname = "QuestGUI"
       visible = "false"
     />
--->
+    
+    <GUIOverlay
+      name = "PickupInventory"
+      guiname = "PickupInventory"
+      visible = "false"
+    />
+
   </OverlayGroup>
 </Template>