Index: code/branches/cegui0.8/data/gui/layouts/GraphicsMenu.layout
===================================================================
--- code/branches/cegui0.8/data/gui/layouts/GraphicsMenu.layout	(revision 11110)
+++ code/branches/cegui0.8/data/gui/layouts/GraphicsMenu.layout	(revision 11118)
@@ -1,208 +1,207 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/GraphicsBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/GraphicsWindow" >
-            <Property Name="Text" Value="Graphics" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.15,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="MenuWidgets/TabControl" Name="orxonox/GraphicsTabControl" >
-                <Property Name="TabHeight" Value="{0,26.4388}" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="TabPanePosition" Value="Top" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.1,0},{0.95,0},{0.925,0}}" />
-                <Window Type="DefaultWindow" Name="orxonox/Display" >
-                    <Property Name="Text" Value="Display" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-                    <Window Type="MenuWidgets/StaticText" Name="orxonox/Display/Resolution" >
-                        <Property Name="Text" Value="Resolution" />
-                        <Property Name="HorzFormatting" Value="HorzCentred" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="VertFormatting" Value="TopAligned" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.025,0},{0.035,0},{0.4875,0},{0.96,0}}" />
-                        <Window Type="MenuWidgets/Checkbox" Name="orxonox/Display/Resolution/Fullscreen" >
-                            <Property Name="Text" Value="Fullscreen" />
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.27,0}}" />
-                            <Event Name="CheckStateChanged" Function="GraphicsMenu.callback_FullscreenCheckbox_CheckStateChanged" />
-                        </Window>
-                        <Window Type="MenuWidgets/Combobox" Name="orxonox/Display/Resolution/Combobox" >
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="ClippedByParent" Value="False" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.3,0},{0.95,0},{1.2,0}}" />
-                            <Property Name="MaxEditTextLength" Value="1073741823" />
-                            <Event Name="ListSelectionAccepted" Function="GraphicsMenu.callback_ResolutionCombobox_ListSelectionAccepted" />
-                        </Window>
-                        <Window Type="MenuWidgets/Editbox" Name="orxonox/Display/Resolution/EditboxWidth" >
-                            <Property Name="MaxTextLength" Value="1073741823" />
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.45,0},{0.45,0},{0.57,0}}" />
-                            <Event Name="TextChanged" Function="GraphicsMenu.callback_ResolutionEditboxWidth_TextChanged" />
-                        </Window>
-                        <Window Type="MenuWidgets/Editbox" Name="orxonox/Display/Resolution/EditboxHeight" >
-                            <Property Name="MaxTextLength" Value="1073741823" />
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.45,0},{0.95,0},{0.57,0}}" />
-                            <Event Name="TextChanged" Function="GraphicsMenu.callback_ResolutionEditboxHeight_TextChanged" />
-                        </Window>
-                        <Window Type="MenuWidgets/StaticText" Name="orxonox/Display/Resolution/x" >
-                            <Property Name="Text" Value="x" />
-                            <Property Name="FrameEnabled" Value="False" />
-                            <Property Name="HorzFormatting" Value="HorzCentred" />
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.45,0},{0.45,0},{0.55,0},{0.57,0}}" />
-                            <Property Name="BackgroundEnabled" Value="False" />
-                        </Window>
-                        <Window Type="MenuWidgets/Button" Name="orxonox/Display/Resolution/Apply" >
-                            <Property Name="Text" Value="Apply" />
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.61,0},{0.75,0},{0.73,0}}" />
-                            <Event Name="Clicked" Function="GraphicsMenu.callback_Apply_Clicked" />
-                        </Window>
-                        <Window Type="MenuWidgets/StaticText" Name="orxonox/Display/Resolution/AspectRatioLabel" >
-                            <Property Name="Text" Value="Aspect Ratio" />
-                            <Property Name="FrameEnabled" Value="False" />
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.825,0},{0.6,0},{0.95,0}}" />
-                            <Property Name="BackgroundEnabled" Value="False" />
-                        </Window>
-                        <Window Type="MenuWidgets/Editbox" Name="orxonox/Display/Resolution/AspectRatio" >
-                            <Property Name="Text" Value="1" />
-                            <Property Name="MaxTextLength" Value="1073741823" />
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.65,0},{0.825,0},{0.95,0},{0.95,0}}" />
-                        </Window>
-                    </Window>
-                    <Window Type="MenuWidgets/StaticText" Name="orxonox/Display/Theme" >
-                        <Property Name="Text" Value="Theme" />
-                        <Property Name="HorzFormatting" Value="HorzCentred" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="VertFormatting" Value="TopAligned" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.035,0},{0.975,0},{0.32,0}}" />
-                        <Window Type="MenuWidgets/Combobox" Name="orxonox/Display/Theme/Combobox" >
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="ClippedByParent" Value="False" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.5,0},{0.95,0},{1.6,0}}" />
-                            <Property Name="MaxEditTextLength" Value="1073741823" />
-                            <Event Name="ListSelectionAccepted" Function="GraphicsMenu.callback_ThemeCombobox_ListSelectionAccepted" />
-                        </Window>
-                    </Window>
-                    <Window Type="MenuWidgets/StaticText" Name="orxonox/Display/More" >
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.37,0},{0.975,0},{0.7,0}}" />
-                        <Window Type="MenuWidgets/Checkbox" Name="orxonox/Display/More/VSync" >
-                            <Property Name="Text" Value="VSync" />
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.1,0},{0.95,0},{0.45,0}}" />
-                            <Event Name="CheckStateChanged" Function="GraphicsMenu.callback_VSyncCheckbox_CheckStateChanged" />
-                        </Window>
-                        <Window Type="MenuWidgets/StaticText" Name="orxonox/Display/More/FSAALabel" >
-                            <Property Name="Text" Value="FSAA" />
-                            <Property Name="FrameEnabled" Value="False" />
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.55,0},{0.3,0},{0.9,0}}" />
-                            <Property Name="BackgroundEnabled" Value="False" />
-                        </Window>
-                        <Window Type="MenuWidgets/Combobox" Name="orxonox/Display/More/FSAA" >
-                            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                            <Property Name="ClippedByParent" Value="False" />
-                            <Property Name="UnifiedAreaRect" Value="{{0.3,0},{0.55,0},{0.95,0},{2.1,0}}" />
-                            <Property Name="MaxEditTextLength" Value="1073741823" />
-                            <Event Name="ListSelectionAccepted" Function="GraphicsMenu.callback_FSAACombobox_ListSelectionAccepted" />
-                        </Window>
-                    </Window>
-                    <Window Type="MenuWidgets/StaticText" Name="orxonox/Display/Notice" >
-                        <Property Name="Font" Value="BlueHighway-12" />
-                        <Property Name="Text" >Changing the theme, FSAA,
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="GraphicsBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="GraphicsWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Graphics" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.25,0},{0.15,0},{0.75,0},{0.6375,0}}" />
+            <Window name="GraphicsTabControl" type="MenuWidgets/TabControl">
+                <Property name="TabHeight" value="{0,26.4388}" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="TabPanePosition" value="Top" />
+                <Property name="Area" value="{{0.05,0},{0.1,0},{0.95,0},{0.925,0}}" />
+                <Window name="Display" type="DefaultWindow">
+                    <Property name="Text" value="Display" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+                    <Window name="Resolution" type="MenuWidgets/StaticText">
+                        <Property name="Text" value="Resolution" />
+                        <Property name="HorzFormatting" value="HorzCentred" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="VertFormatting" value="TopAligned" />
+                        <Property name="Area" value="{{0.025,0},{0.035,0},{0.4875,0},{0.96,0}}" />
+                        <Window name="Fullscreen" type="MenuWidgets/Checkbox">
+                            <Property name="Text" value="Fullscreen" />
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.27,0}}" />
+                            <Event function="GraphicsMenu.callback_FullscreenCheckbox_CheckStateChanged" name="CheckStateChanged" />
+                        </Window>
+                        <Window name="Combobox" type="MenuWidgets/Combobox">
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="ClippedByParent" value="False" />
+                            <Property name="Area" value="{{0.05,0},{0.3,0},{0.95,0},{1.2,0}}" />
+                            <Property name="MaxEditTextLength" value="1073741823" />
+                            <Event function="GraphicsMenu.callback_ResolutionCombobox_ListSelectionAccepted" name="ListSelectionAccepted" />
+                        </Window>
+                        <Window name="EditboxWidth" type="MenuWidgets/Editbox">
+                            <Property name="MaxTextLength" value="1073741823" />
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="Area" value="{{0.05,0},{0.45,0},{0.45,0},{0.57,0}}" />
+                            <Event function="GraphicsMenu.callback_ResolutionEditboxWidth_TextChanged" name="TextChanged" />
+                        </Window>
+                        <Window name="EditboxHeight" type="MenuWidgets/Editbox">
+                            <Property name="MaxTextLength" value="1073741823" />
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="Area" value="{{0.55,0},{0.45,0},{0.95,0},{0.57,0}}" />
+                            <Event function="GraphicsMenu.callback_ResolutionEditboxHeight_TextChanged" name="TextChanged" />
+                        </Window>
+                        <Window name="x" type="MenuWidgets/StaticText">
+                            <Property name="Text" value="x" />
+                            <Property name="FrameEnabled" value="False" />
+                            <Property name="HorzFormatting" value="HorzCentred" />
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="Area" value="{{0.45,0},{0.45,0},{0.55,0},{0.57,0}}" />
+                            <Property name="BackgroundEnabled" value="False" />
+                        </Window>
+                        <Window name="Apply" type="MenuWidgets/Button">
+                            <Property name="Text" value="Apply" />
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="Area" value="{{0.25,0},{0.61,0},{0.75,0},{0.73,0}}" />
+                            <Event function="GraphicsMenu.callback_Apply_Clicked" name="Clicked" />
+                        </Window>
+                        <Window name="AspectRatioLabel" type="MenuWidgets/StaticText">
+                            <Property name="Text" value="Aspect Ratio" />
+                            <Property name="FrameEnabled" value="False" />
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="Area" value="{{0.05,0},{0.825,0},{0.6,0},{0.95,0}}" />
+                            <Property name="BackgroundEnabled" value="False" />
+                        </Window>
+                        <Window name="AspectRatio" type="MenuWidgets/Editbox">
+                            <Property name="Text" value="1" />
+                            <Property name="MaxTextLength" value="1073741823" />
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="Area" value="{{0.65,0},{0.825,0},{0.95,0},{0.95,0}}" />
+                        </Window>
+                    </Window>
+                    <Window name="Theme" type="MenuWidgets/StaticText">
+                        <Property name="Text" value="Theme" />
+                        <Property name="HorzFormatting" value="HorzCentred" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="VertFormatting" value="TopAligned" />
+                        <Property name="Area" value="{{0.5125,0},{0.035,0},{0.975,0},{0.32,0}}" />
+                        <Window name="Combobox" type="MenuWidgets/Combobox">
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="ClippedByParent" value="False" />
+                            <Property name="Area" value="{{0.05,0},{0.5,0},{0.95,0},{1.6,0}}" />
+                            <Property name="MaxEditTextLength" value="1073741823" />
+                            <Event function="GraphicsMenu.callback_ThemeCombobox_ListSelectionAccepted" name="ListSelectionAccepted" />
+                        </Window>
+                    </Window>
+                    <Window name="More" type="MenuWidgets/StaticText">
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="Area" value="{{0.5125,0},{0.37,0},{0.975,0},{0.7,0}}" />
+                        <Window name="VSync" type="MenuWidgets/Checkbox">
+                            <Property name="Text" value="VSync" />
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="Area" value="{{0.05,0},{0.1,0},{0.95,0},{0.45,0}}" />
+                            <Event function="GraphicsMenu.callback_VSyncCheckbox_CheckStateChanged" name="CheckStateChanged" />
+                        </Window>
+                        <Window name="FSAALabel" type="MenuWidgets/StaticText">
+                            <Property name="Text" value="FSAA" />
+                            <Property name="FrameEnabled" value="False" />
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="Area" value="{{0.05,0},{0.55,0},{0.3,0},{0.9,0}}" />
+                            <Property name="BackgroundEnabled" value="False" />
+                        </Window>
+                        <Window name="FSAA" type="MenuWidgets/Combobox">
+                            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                            <Property name="ClippedByParent" value="False" />
+                            <Property name="Area" value="{{0.3,0},{0.55,0},{0.95,0},{2.1,0}}" />
+                            <Property name="MaxEditTextLength" value="1073741823" />
+                            <Event function="GraphicsMenu.callback_FSAACombobox_ListSelectionAccepted" name="ListSelectionAccepted" />
+                        </Window>
+                    </Window>
+                    <Window name="Notice" type="MenuWidgets/StaticText">
+                        <Property name="Font" value="BlueHighway-12" />
+                        <Property name="Text">Changing the theme, FSAA,
 or VSync requires a restart</Property>
-                        <Property Name="HorzFormatting" Value="HorzCentred" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.75,0},{0.975,0},{0.96,0}}" />
-                    </Window>
-                    <Window Type="MenuWidgets/StaticText" Name="orxonox/Display/NoticeRed" >
-                        <Property Name="Font" Value="BlueHighway-12" />
-                        <Property Name="Text" >Restart required</Property>
-                        <Property Name="TextColours" Value="tl:FFFF0000 tr:FFFF8888 bl:FFFF8888 br:FFFFFFFF" />
-                        <Property Name="HorzFormatting" Value="HorzCentred" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.75,0},{0.975,0},{0.96,0}}" />
+                        <Property name="HorzFormatting" value="HorzCentred" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="Area" value="{{0.5125,0},{0.75,0},{0.975,0},{0.96,0}}" />
+                    </Window>
+                    <Window name="NoticeRed" type="MenuWidgets/StaticText">
+                        <Property name="Font" value="BlueHighway-12" />
+                        <Property name="Text">Restart required</Property>
+                        <Property name="TextColours" value="tl:FFFF0000 tr:FFFF8888 bl:FFFF8888 br:FFFFFFFF" />
+                        <Property name="HorzFormatting" value="HorzCentred" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="Area" value="{{0.5125,0},{0.75,0},{0.975,0},{0.96,0}}" />
                     </Window>
                 </Window>
-                <Window Type="DefaultWindow" Name="orxonox/Settings" >
-                    <Property Name="Text" Value="Settings" />
-                    <Property Name="Visible" Value="False" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-                    <Window Type="MenuWidgets/StaticText" Name="orxonox/Settings/FovLabel" >
-                        <Property Name="Text" Value="Vertical field of view (FOV)" />
-                        <Property Name="FrameEnabled" Value="False" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.035,0},{0.05,0},{0.5,0},{0.12,0}}" />
-                        <Property Name="BackgroundEnabled" Value="False" />
-                    </Window>
-                    <Window Type="MenuWidgets/StaticText" Name="orxonox/Settings/FpsLimitLabel" >
-                        <Property Name="Text" Value="Maximal frame rate" />
-                        <Property Name="FrameEnabled" Value="False" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.035,0},{0.18,0},{0.5,0},{0.25,0}}" />
-                        <Property Name="BackgroundEnabled" Value="False" />
-                    </Window>
-                    <Window Type="MenuWidgets/StaticText" Name="orxonox/Settings/ParticleLodLabel" >
-                        <Property Name="Text" Value="Particle detail level" />
-                        <Property Name="FrameEnabled" Value="False" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.035,0},{0.31,0},{0.5,0},{0.38,0}}" />
-                        <Property Name="BackgroundEnabled" Value="False" />
-                    </Window>
-                    <Window Type="MenuWidgets/Editbox" Name="orxonox/Settings/Fov" >
-                        <Property Name="MaxTextLength" Value="1073741823" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.5,0},{0.03,0},{0.65,0},{0.14,0}}" />
-                    </Window>
-                    <Window Type="MenuWidgets/Editbox" Name="orxonox/Settings/FpsLimit" >
-                        <Property Name="MaxTextLength" Value="1073741823" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.5,0},{0.16,0},{0.65,0},{0.27,0}}" />
-                    </Window>
-                    <Window Type="MenuWidgets/Combobox" Name="orxonox/Settings/ParticleLodCombobox" >
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="ClippedByParent" Value="False" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.5,0},{0.29,0},{0.7,0},{0.725,0}}" />
-                        <Property Name="MaxEditTextLength" Value="1073741823" />
-                    </Window>
-                    <Window Type="MenuWidgets/Checkbox" Name="orxonox/Settings/MeshLodCheckbox" >
-                        <Property Name="Text" Value="Enable mesh LOD" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.035,0},{0.44,0},{0.5,0},{0.51,0}}" />
-                    </Window>
-                    <Window Type="MenuWidgets/Checkbox" Name="orxonox/Settings/MotionBlurCheckbox" >
-                        <Property Name="Text" Value="Enable motion blur" />
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="UnifiedAreaRect" Value="{{0.035,0},{0.57,0},{0.5,0},{0.64,0}}" />
+                <Window name="Settings" type="DefaultWindow">
+                    <Property name="Text" value="Settings" />
+                    <Property name="Visible" value="False" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+                    <Window name="FovLabel" type="MenuWidgets/StaticText">
+                        <Property name="Text" value="Vertical field of view (FOV)" />
+                        <Property name="FrameEnabled" value="False" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="Area" value="{{0.035,0},{0.05,0},{0.5,0},{0.12,0}}" />
+                        <Property name="BackgroundEnabled" value="False" />
+                    </Window>
+                    <Window name="FpsLimitLabel" type="MenuWidgets/StaticText">
+                        <Property name="Text" value="Maximal frame rate" />
+                        <Property name="FrameEnabled" value="False" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="Area" value="{{0.035,0},{0.18,0},{0.5,0},{0.25,0}}" />
+                        <Property name="BackgroundEnabled" value="False" />
+                    </Window>
+                    <Window name="ParticleLodLabel" type="MenuWidgets/StaticText">
+                        <Property name="Text" value="Particle detail level" />
+                        <Property name="FrameEnabled" value="False" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="Area" value="{{0.035,0},{0.31,0},{0.5,0},{0.38,0}}" />
+                        <Property name="BackgroundEnabled" value="False" />
+                    </Window>
+                    <Window name="Fov" type="MenuWidgets/Editbox">
+                        <Property name="MaxTextLength" value="1073741823" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="Area" value="{{0.5,0},{0.03,0},{0.65,0},{0.14,0}}" />
+                    </Window>
+                    <Window name="FpsLimit" type="MenuWidgets/Editbox">
+                        <Property name="MaxTextLength" value="1073741823" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="Area" value="{{0.5,0},{0.16,0},{0.65,0},{0.27,0}}" />
+                    </Window>
+                    <Window name="ParticleLodCombobox" type="MenuWidgets/Combobox">
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="ClippedByParent" value="False" />
+                        <Property name="Area" value="{{0.5,0},{0.29,0},{0.7,0},{0.725,0}}" />
+                        <Property name="MaxEditTextLength" value="1073741823" />
+                    </Window>
+                    <Window name="MeshLodCheckbox" type="MenuWidgets/Checkbox">
+                        <Property name="Text" value="Enable mesh LOD" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="Area" value="{{0.035,0},{0.44,0},{0.5,0},{0.51,0}}" />
+                    </Window>
+                    <Window name="MotionBlurCheckbox" type="MenuWidgets/Checkbox">
+                        <Property name="Text" value="Enable motion blur" />
+                        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                        <Property name="Area" value="{{0.035,0},{0.57,0},{0.5,0},{0.64,0}}" />
                     </Window>
                 </Window>
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/GraphicsOkButton" >
-            <Property Name="Text" Value="OK" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.6625,0},{0.4875,0},{0.7125,0}}" />
-            <Event Name="Clicked" Function="GraphicsMenu.callback_Ok_Clicked" />
+        <Window name="GraphicsOkButton" type="MenuWidgets/Button">
+            <Property name="Text" value="OK" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.2875,0},{0.6625,0},{0.4875,0},{0.7125,0}}" />
+            <Event function="GraphicsMenu.callback_Ok_Clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/GraphicsCancelButton" >
-            <Property Name="Text" Value="Cancel" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.6625,0},{0.7125,0},{0.7125,0}}" />
-            <Event Name="Clicked" Function="GraphicsMenu.callback_Cancel_Clicked" />
+        <Window name="GraphicsCancelButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Cancel" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.5125,0},{0.6625,0},{0.7125,0},{0.7125,0}}" />
+            <Event function="GraphicsMenu.callback_Cancel_Clicked" name="Clicked" />
         </Window>
     </Window>