Index: /data/branches/cegui0.8/gui/looknfeels/OrxonoxLook.looknfeel
===================================================================
--- /data/branches/cegui0.8/gui/looknfeels/OrxonoxLook.looknfeel	(revision 11122)
+++ /data/branches/cegui0.8/gui/looknfeels/OrxonoxLook.looknfeel	(revision 11123)
@@ -9,7 +9,7 @@
         <PropertyDefinition initialValue="CentreAligned" name="HorzLabelFormatting" />
         <PropertyDefinition initialValue="" name="NormalImage" redrawOnWrite="true" />
-        <PropertyDefinition initialValue="set:OrxonoxLook image:ButtonMiddleNormal" name="NormalImageBackground" redrawOnWrite="true" />
-        <PropertyDefinition initialValue="set:OrxonoxLook image:ButtonRightNormal" name="NormalImageRightEdge" redrawOnWrite="true" />
-        <PropertyDefinition initialValue="set:OrxonoxLook image:ButtonLeftNormal" name="NormalImageLeftEdge" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="OrxonoxLook/ButtonMiddleNormal" name="NormalImageBackground" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="OrxonoxLook/ButtonRightNormal" name="NormalImageRightEdge" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="OrxonoxLook/ButtonLeftNormal" name="NormalImageLeftEdge" redrawOnWrite="true" />
         <PropertyDefinition initialValue="" name="HoverImage" redrawOnWrite="true" />
         <PropertyDefinition initialValue="" name="PushedImage" redrawOnWrite="true" />
@@ -5539,5 +5539,5 @@
         <PropertyDefinition initialValue="FFFFFFFF" name="TextColour" redrawOnWrite="true" />
         <PropertyDefinition initialValue="FFFFFFFF" name="SelectedTextColour" redrawOnWrite="true" />
-        <PropertyDefinition initialValue="set:OrxonoxLook image:ListboxSelectionBrush" name="SelectionBrush" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="OrxonoxLook/ListboxSelectionBrush" name="SelectionBrush" redrawOnWrite="true" />
         <PropertyDefinition initialValue="FF4444AA" name="SelectionColour" redrawOnWrite="true" />
         <Property name="Selectable" value="True" />
Index: /data/branches/cegui0.8/gui/looknfeels/TaharezGreenLook.looknfeel
===================================================================
--- /data/branches/cegui0.8/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11122)
+++ /data/branches/cegui0.8/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11123)
@@ -9,7 +9,7 @@
         <PropertyDefinition initialValue="CentreAligned" name="HorzLabelFormatting" />
         <PropertyDefinition initialValue="" name="NormalImage" redrawOnWrite="true" />
-        <PropertyDefinition initialValue="set:TaharezGreenLook image:ButtonMiddleNormal" name="NormalImageBackground" redrawOnWrite="true" />
-        <PropertyDefinition initialValue="set:TaharezGreenLook image:ButtonRightNormal" name="NormalImageRightEdge" redrawOnWrite="true" />
-        <PropertyDefinition initialValue="set:TaharezGreenLook image:ButtonLeftNormal" name="NormalImageLeftEdge" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="TaharezGreenLook/ButtonMiddleNormal" name="NormalImageBackground" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="TaharezGreenLook/ButtonRightNormal" name="NormalImageRightEdge" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="TaharezGreenLook/ButtonLeftNormal" name="NormalImageLeftEdge" redrawOnWrite="true" />
         <PropertyDefinition initialValue="" name="HoverImage" redrawOnWrite="true" />
         <PropertyDefinition initialValue="" name="PushedImage" redrawOnWrite="true" />
@@ -5538,5 +5538,5 @@
         <PropertyDefinition initialValue="FFFFFFFF" name="TextColour" redrawOnWrite="true" />
         <PropertyDefinition initialValue="FFFFFFFF" name="SelectedTextColour" redrawOnWrite="true" />
-        <PropertyDefinition initialValue="set:TaharezGreenLook image:ListboxSelectionBrush" name="SelectionBrush" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="TaharezGreenLook/ListboxSelectionBrush" name="SelectionBrush" redrawOnWrite="true" />
         <PropertyDefinition initialValue="FF4444AA" name="SelectionColour" redrawOnWrite="true" />
         <Property name="Selectable" value="True" />
Index: /data/branches/cegui0.8/gui/looknfeels/TaharezLook.looknfeel
===================================================================
--- /data/branches/cegui0.8/gui/looknfeels/TaharezLook.looknfeel	(revision 11122)
+++ /data/branches/cegui0.8/gui/looknfeels/TaharezLook.looknfeel	(revision 11123)
@@ -5470,5 +5470,5 @@
         <PropertyDefinition initialValue="FFFFFFFF" name="TextColour" redrawOnWrite="true" />
         <PropertyDefinition initialValue="FFFFFFFF" name="SelectedTextColour" redrawOnWrite="true" />
-        <PropertyDefinition initialValue="set:TaharezLook image:ListboxSelectionBrush" name="SelectionBrush" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="TaharezLook/ListboxSelectionBrush" name="SelectionBrush" redrawOnWrite="true" />
         <PropertyDefinition initialValue="FF4444AA" name="SelectionColour" redrawOnWrite="true" />
         <Property name="Selectable" value="True" />
Index: /data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- /data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11122)
+++ /data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11123)
@@ -1571,5 +1571,5 @@
         <PropertyDefinition initialValue="FF000000" name="TextColour" redrawOnWrite="true" />
         <PropertyDefinition initialValue="FFFFFFFF" name="SelectedTextColour" redrawOnWrite="true" />
-        <PropertyDefinition initialValue="set:WindowsLook image:Background" name="SelectionBrush" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="WindowsLook/Background" name="SelectionBrush" redrawOnWrite="true" />
         <PropertyDefinition initialValue="FF3030FF" name="SelectionColour" redrawOnWrite="true" />
         <Property name="Selectable" value="True" />